> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Put files



## OpenAPI

````yaml /api-reference/oda-files-service-1.0.0.yml put /files/{name}
openapi: 3.0.1
info:
  title: oda-files-service
  version: 1.0.0
servers: []
security: []
paths:
  /files/{name}:
    put:
      operationId: put
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: public
          in: query
          explode: false
          schema:
            type: boolean
            nullable: true
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
            encoding:
              file:
                contentType: application/octet-stream
                explode: false
        required: true
      responses:
        '200':
          description: put 200 response

````